[<text>
<title>japan ready to use diplomacy for gulf security</title>
<dateline>    tokyo, june 2 - </dateline>japan was ready to use diplomacy to help
maintain the security of the gulf, prime minister yasuhiro
nakasone said.
    but he told reporters japan should not cut its lines of
communication with iran and iraq because its policy was to take
a broad political stance. officials of the foreign ministry
said japan had maintained good relations with both iran and
iraq, which have been at war since september 1980.
    last week nakasone ruled out japanese military or financial
help to patrol the waters of the gulf. about 60 pct of japan's
crude oil passes through the waterway.
    president reagan said yesterday the threat to oil routes in
the gulf from attacks by iran and iraq was high on the agenda
for next week's g-7 summit in venice.
    reagan has approved plans for the united states to step up
its naval presence in the gulf despite congressional
expressions of concern and he has called on u.s. allies to help
maintain freedom of navigation.
    japan's constitution prevents its armed forces from being
deployed overseas. nakasone has said that washington
understands this problem.
 reuter
</text>]